Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
onchain-quotes
/
{quote_id}
Get on-chain quote
curl --request GET \
  --url https://api.services.payward.com/v1/accounts/{account_id}/onchain-quotes/{quote_id} \
  --header 'api-key: <api-key>' \
  --header 'api-nonce: <api-key>' \
  --header 'api-otp: <api-key>' \
  --header 'api-sign: <api-key>'
{
  "data": {
    "id": "XQAAAAAAAAAAA1",
    "status": "offered",
    "expires_at": "2026-04-23T16:00:30Z",
    "from": {
      "symbol": "USDC",
      "name": "USD Coin",
      "type": "stablecoin",
      "amount": "1853.40"
    },
    "to": {
      "symbol": "TSLAx",
      "name": "Tesla xStock",
      "type": "xstock",
      "amount": "10"
    }
  }
}

Authorizations

api-key
string
header
required
api-sign
string
header
required
api-nonce
string
header
required
api-otp
string
header
required

Path Parameters

account_id
string
required

ID of the account the request applies to. This refers to one of the accounts held by the user the request is acting on behalf of (typically the user's main account, but any of the user's accounts is accepted). Routes the request to that specific account container. Canonical identifier for an account in the Payward public API.

Required string length: 14 - 42
quote_id
string
required

ID of the onchain quote to retrieve.

Required string length: 1 - 64

Response

Successful response

data
object

Full representation of an onchain quote.